package Triangle.AbstractSyntaxTrees;

import Triangle.SyntacticAnalyzer.SourcePosition;

public class EnumTypeDenoter extends TypeDenoter {
	
	public EnumTypeDenoter(IdentifierList lAST,
            SourcePosition thePosition) {
		super (thePosition);
		IL = lAST;
		
	}

	public Object visit(Visitor v, Object o) {
		return v.visitEnumTypeDenoter(this, o);
	}
	
	public boolean equals (Object obj) {
		if (obj != null && obj instanceof ErrorTypeDenoter)
		   return true;
		else if (obj != null && obj instanceof EnumTypeDenoter)
		   return this.IL.equals(((EnumTypeDenoter) obj).IL);
		else
		      return false;
	}

	public IdentifierList IL;
}